Skip to main content
WEBHOOK
refundNotification
{
  "id": "54ba1fdb-7e4e-402b-aebb-66f9d5345cf8",
  "created_at": "2023-10-10T00:00:00Z",
  "event_type": "refund.processing",
  "refund": {
    "id": "54ba1fdb-7e4e-402b-aebb-66f9d5345cf8",
    "amount": 1000,
    "currency_code": "EUR",
    "created_at": "2023-10-10T00:00:00Z",
    "payment_id": "cdc60e91-1d1a-4641-8ada-84bdbbe189f5",
    "reference": "Refund order #12345",
    "status": "processing"
  }
}

Headers

x-hmac-signature
string

The signature of request body calculated based on the secret HMAC key of the account

Body

application/json
id
string<uuid>

The ID of the refund which triggered the notification.

created_at
string<date-time>

The date-time the event was occurred (following ISO 8601)

event_type
enum<string>
Available options:
refund.processing,
refund.completed,
refund.failed
refund
object

Response

Confirmation of receipt. For other status codes, Commerce will try to redeliver.